> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Find attribute groups

> Find attribute groups based on the given search criteria. You will get a paginated response, which you can narrow down using filter criteria such as `page` and `size`.



## OpenAPI

````yaml pim post /api-product/v1/product/attribute-group/search
openapi: 3.0.0
info:
  title: Product Catalog
  description: >-
    As brands and retailers grow, they often expand their item catalogs,
    resulting in the need to enrich and manage more product (commonly referred
    to as item in fabric) data. fabric Product Catalog alleviates the burden of
    managing large amounts of item data by means of a central storage
    repository. fabric Product Catalog helps you with improved data quality,
    consistent customer experience, reduced time to market, easy integration
    with external systems, reduced management costs and risks, faster and easier
    updates, and easy scaling. You can create, import, enrich, validate,
    distribute, and manage complex item information, centrally. As a result, you
    deliver product experiences that drive sales through every channel. <br />
    <br /> During onboarding, you are given the necessary credentials to access
    Product Catalog - Copilot UI, APIs, or both. As a prerequisite, you create
    the items to be sold, identify their unique as well as common properties,
    and envision their organization into categories and sub categories. A basic
    workflow is: <br /> 1) **Create item attributes** using POST
    /api-product/v1/product/attribute/bulk. <br /> 2) **Update attribute
    mapping** using POST /api-product/v1/product/attribute/mapping <br /> 3)
    **Create Primary category** using the POST /api-category/v1/category to
    create the original organizational structure. <br /> 4) **Assign item
    attributes** to Primary category using POST
    /api-category/v1/category/item-attribute. <br /> 5) **Create items** using
    POST /api-product/v1/product/bulk/insert. <br /> 6) **Create Alternate
    category**, for distribution management and fulfilling various merchandising
    objectives.
  version: 2.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
servers:
  - url: https://live.copilot.fabric.inc
    description: Production
security: []
tags:
  - name: Category
    description: >-
      Categories (also called hierarchies or nodes) are hierarchical structures
      to organize items and services into intuitive groups. Organizing items in
      this way simplifies item discovery and lifecycle management. There are two
      types of categories - **Primary** and **Alternate**. They enable you to
      create, organize, and distribute item data.  - Primary category is the
      original catalog tree with nested levels of categories that place each
      item where it belongs, within a category. For example, `Computers` is a
      parent category with `Laptops` and `Desktops` as children categories, and
      `MacBook Pro` is an item within `Laptops`. This organization can be
      represented as Computers > Laptops > MacBook Pro.  - Alternate categories
      serve as alternate organizations of the Primary category. Their main
      purpose is distribution management by displaying items on your website
      based on separate browsing structure configurations you set to help you
      achieve various merchandizing objectives, such as organizational
      requirements, multi-regional assortments, multi-channel assortments, and
      collections. For example, a company that sells, repairs, and supports
      computers and related items and services will have a Primary category
      containing a full list of their SKUs. However, this Primary category is
      not granular enough to use on their storefront. Hence, multiple Alternate
      hierarchies are created to target specific shopper segment experiences.
      For laptop consumers they'll have one Alternate category, which lists all
      the laptops and PCs. For large businesses they'll have  another Alternate
      category, which lists all commercial laptops, PCs, printers, and servers.
      Both of the Alternate categories act as filters of the Primary category,
      tailored to the purpose of that merchandising strategy.  **Category**, a
      subset of Product Catalog endpoints, aims to simplify catalog management
      by letting you create, update, and get one or more categories, category
      attributes, and item attributes. In addition, you can add and update
      category sources, source exclusions, and item attribute conditions.  
      **Note**: The root name of primary category is PRIMARY, and it cannot be
      changed.
  - name: Product
    description: >-
      **Product**, a subset of Product Catalog endpoints, aims at making item
      management more efficient. They create, update, and get items, which may
      be individual items or collection of items (called bundles). Each item has
      a title, item ID, description, category, and assigned attributes. Multiple
      options of a given item become variants of that item. For example, a
      t-shirt with three sizes may have small, medium, and large variants. Each
      variant has its own item ID, attributes, and other data points. Each
      variant is nested under its parent item, allowing the different options to
      appear on the same product page. You can also create or update one or more
      item attributes and attribute groups.
  - name: Attributes
    description: >-
      Item attributes are the objective and factual descriptions of items that
      shoppers see when they browse through your site. Attributes may be
      technical specifications like size, weight, etc., design specifications
      like color, material, etc., or basic specifications like name,
      description, and ID. Ites attributes are crucial as they directly
      influence purchasing decisions. Complete and correct item information help
      shoppers narrow down their search and filter items with minimal cognitive
      load.
  - name: Bulk Import
    description: >-
      Set of endpoints to help bulk import of items, bundles, categories and
      attributes through CSV files
externalDocs:
  description: Find out more about Product Catalog
  url: /v3/product-catalog/user-guides/product-catalog/overview
paths:
  /api-product/v1/product/attribute-group/search:
    post:
      tags:
        - Attributes
      summary: Find attribute groups
      description: >-
        Find attribute groups based on the given search criteria. You will get a
        paginated response, which you can narrow down using filter criteria such
        as `page` and `size`.
      operationId: searchAttributeGroups
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttributeGroupSearchRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributeGroupSearchResponse'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
      security:
        - authorization: []
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    AttributeGroupSearchRequest:
      type: object
      properties:
        page:
          description: Page number to be retrieved
          example: 0
          type: number
        size:
          description: Number of records (attribute groups) per page
          example: 10
          type: number
        include:
          type: object
          properties:
            attributes:
              type: boolean
              description: 'true: Includes attributes <br /> false: Excludes attributes'
        match:
          type: object
          properties:
            target:
              description: Search target. Currently, supports only ITEM.
              example: ITEM
              type: string
            or:
              type: array
              items:
                type: object
                properties:
                  name:
                    description: Attribute group name
                    example: weight
                    type: string
        sort:
          type: array
          items:
            type: object
            properties:
              field:
                description: Field on which the results must be sorted
                example: priorityOrder
                type: string
              direction:
                description: Direction (ascending or descending) or sorting the response
                example: DESC
                type: string
                enum:
                  - ASC
                  - DESC
    AttributeGroupSearchResponse:
      type: object
      properties:
        totalSize:
          description: Total number of records (attribute group)
          example: 7
          type: number
        pageSize:
          description: Number of records (attribute group) per page
          example: 10
          type: number
        pages:
          description: Number of pages for the given `pageSize`
          example: 1
          type: number
        attributeGroups:
          type: array
          items:
            type: object
            properties:
              _id:
                description: A 24-character system-generated ID of the attribute group
                example: 6259ec8d006b0d00092b3189
                type: string
              description:
                description: Accurate description of the attribute and what it represents
                example: Item weight, in KG
                type: string
              type:
                description: Attribute group type
                example: COLLECTION
                type: string
                enum:
                  - WORKFLOW
                  - COLLECTION
              name:
                description: Attribute group name
                example: weight
                type: string
              priorityOrder:
                description: Priority order of attribute group
                example: 1
                type: number
              createdOn:
                description: Time of attribute group creation (UTC format)
                example: '2022-04-15T22:07:09.921Z'
                type: string
              modifiedOn:
                description: Time when attribute group was last modified (UTC format)
                example: '2022-04-15T22:10:05.427Z'
                type: string
              totalAttributes:
                description: Number of attributes in the attribute group
                example: 1
                type: number
              EditableAttributes:
                type: array
                items:
                  $ref: '#/components/schemas/AttributeGroupTypeResponse'
              ReadOnlyAttributes:
                type: array
                items:
                  $ref: '#/components/schemas/AttributeGroupTypeResponse'
              WorkflowAttributes:
                items:
                  $ref: '#/components/schemas/WorkflowAttributes'
                  description: Uses same response as AttributeGroupTypeResponse
              ImpactedAttributes:
                items:
                  $ref: '#/components/schemas/ImpactedAttributes'
                  description: Uses same response as AttributeGroupTypeResponse
    ClientError:
      type: object
      properties:
        code:
          description: Error code for machine consumption
          type: string
          example: 400
        message:
          description: Human-readable error description
          type: string
          example: Client error
    ServerError:
      type: object
      properties:
        code:
          description: Error code
          type: string
          example: 500
        message:
          description: Human-readable error description
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
    AttributeGroupTypeResponse:
      type: object
      properties:
        _id:
          description: A 24-character system-generated ID, for internal use
          example: 6259ec8defc2116dd6c0f3fc
          type: string
        attributeGroupId:
          description: A 24-character system-generated ID of attribute group
          example: 6259ec8d006b0d00092b3189
          type: string
        attributeId:
          description: A 24-character system-generated attribute ID
          example: 6245f16d11ae770009f19292
          type: string
        isEditable:
          type: boolean
          description: 'true: Attribute is editable <br /> false: Attribute is non-editable'
        createdOn:
          description: Time of attribute creation (UTC format)
          example: '2022-04-15T22:07:09.932Z'
          type: string
        modifiedOn:
          description: Time when attribute was last updated (UTC format)
          example: '2022-04-15T22:10:05.444Z'
          type: string
        order:
          description: Order of items within the attribute group
          example: 0
          type: number
        attribute:
          type: array
          items:
            type: object
            properties:
              _id:
                description: A 24-character system-generated attribute ID
                example: 6259ec8defc2116dd6c0f3fc
                type: string
              description:
                description: Accurate description of attribute and what it represents
                example: Item weight, in KG.
                type: string
              formulaManuallyOverWritten:
                type: boolean
                example: false
                description: >-
                  true: Formula can be manually overwritten <br /> false:
                  Formula cannot be manually overwritten
              formula:
                description: Formula for the item attribute
                example: null
                type: string
              type:
                description: Attribute type
                example: TEXT
                type: string
              name:
                description: Attribute name
                example: weight
                type: string
              textSubType:
                description: Conditionally required sub-type for `TEXT` attribute type
                example: SMALL_TEXT
                type: string
              attributeValidationId:
                example: 624d92f8caa34e0009b5d849
                type: string
                description: Attribute validation ID
              modifiedBy:
                description: User ID that modified item attribute
                example: 60aad2c835c5fb000885f679
                type: string
              createdOn:
                description: Time of attribute creation (UTC format)
                example: '2022-04-15T22:07:09.932Z'
                type: string
              modifiedOn:
                description: Time when the attribute was last modified (UTC format)
                example: '2022-04-15T22:10:05.444Z'
                type: string
    WorkflowAttributes:
      type: object
      properties: {}
    ImpactedAttributes:
      type: object
      properties: {}
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: S2S access token (JWT) from fabric Identity service (during Login)

````